cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CLOUDSTACK-8652) drop old upgrade code
Date Mon, 20 Jul 2015 15:03:04 GMT

    [ https://issues.apache.org/jira/browse/CLOUDSTACK-8652?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14633667#comment-14633667
] 

ASF GitHub Bot commented on CLOUDSTACK-8652:
--------------------------------------------

Github user bhaisaab commented on the pull request:

    https://github.com/apache/cloudstack/pull/608#issuecomment-122911947
  
    -1 - this break upgrade-ability for really old cloudstack installations. There is no *necessity*
to remove the code, you can choose to ignore coverity and other static analysis issues instead
of breaking upgrade paths for really old installations.
    
    Currently, I'm aware of few large cloudstack installations who are going to upgrade from
3.0.x (you might have even noticed a recent fix I made to allow one of such upgrades from
3.0.x to 4.5.x) to 4.5.x or 4.6.x


> drop old upgrade code
> ---------------------
>
>                 Key: CLOUDSTACK-8652
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-8652
>             Project: CloudStack
>          Issue Type: Improvement
>      Security Level: Public(Anyone can view this level - this is the default.) 
>            Reporter: Daan Hoogland
>            Assignee: Daan Hoogland
>
> old upgrade code contains a lot of resource leaks. users still below version 4.0 can
upgrade to any version between 4.0.0 and 4.5.x and then move on.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message